%global momorel 4

Name:           perl-PDL-Graphics-PLplot
Version:        0.52
Release:        %{momorel}m%{?dist}
Summary:        Object-oriented interface from perl/PDL to the PLPLOT plotting library
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PDL-Graphics-PLplot/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DH/DHUNT/PDL-Graphics-PLplot-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-PDL
BuildRequires:  plplot-devel
Requires:       perl-PDL
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is the PDL interface to the PLplot graphics library. It is designed
to be simple and light weight with a familiar 'perlish' Object Oriented
interface.

The interface consists of two levels.  A low level interface which maps
closely to the PLplot C interface, and a high level, object-oriented
interface which is easier to use.

%prep
%setup -q -n PDL-Graphics-PLplot-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

rm %{buildroot}%{perl_vendorarch}/auto/PDL/Graphics/PLplot/PLplot.bs

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/PDL/Graphics/*
%{perl_vendorarch}/PDL/Graphics/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.52-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.52-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.52-2m)
- rebuild against perl-5.12.0

* Sun Jan  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.52-1m)
- import from Fedora devel
- update to 0.52

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.51-4
- rebuild against perl 5.10.1

* Mon Sep 14 2009 Orion Poplawski 0.51-3
- Add BR on perl(Test::More)
- Exclude PLplot.bs

* Thu Sep 10 2009 Orion Poplawski 0.51-2
- Use arch specific dir.

* Thu Sep 10 2009 Orion Poplawski 0.51-1
- Specfile autogenerated by cpanspec 1.78.
